Subject: Re: bug#21380: 25.0.50; GTK-induced segfault when scheduling timer from window-configuration-change-hook

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Sep 2015 20:19:25 +0300

> Date: Tue, 1 Sep 2015 16:56:04 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked]
> 
> > That only prevents us from reading new events from the X socket, but
> > what if some signal that is already pending invokes some Lisp?
> 
> I don't understand. How can we call "some signal that is already pending" (I'm
> not sure what that means. A unix signal? Or just something that sets
> pending_signals to a true value? Or an atimer?)

I meant atimers, sorry for being unclear.  See process_pending_signals.

> The only code path that I see that's potentially dangerous is that atimers
> appear to be executed even if input is blocked.

Yes, that's exactly what bothered me.  Not calling QUIT prevents that.

Alternatively, we could turn off atimers (by calling turn_on_atimers)
while Fcopy_sequence runs.